#
# spec file for package pspg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pspg
Version:        1.0.0
Release:        lp152.3.6
Summary:        Pager for PostgreSQL
License:        BSD-2-Clause
Group:          Productivity/Text/Utilities
URL:            https://github.com/okbob/pspg
Source:         https://github.com/okbob/pspg/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig >= 0.9.0
BuildRequires:  pkgconfig(ncurses)

%description
Advanced pager for PostgreSQL and MySQL databases.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/pspg

%changelog
* Wed Mar 21 2018 mpluskal@suse.com
- Extend previous changelog entry
- Modernise spec file
* Tue Mar 20 2018 petr@yarpen.cz
- version 1.0.0
  * supports 8bit encodings like latin1, latin2.
  * The border arts is correctly printed on terminals with these
    encodings.
  * Searching is more robust and more correct now
  * With mentioned long option the ascii art (borders) can be
    replaced by more pretty unicode art
  * Add options --ignore-case and --IGNORE-CASE
* Mon Nov 27 2017 mpluskal@suse.com
- Use source url
- Cleanup with spec-cleaner
- Use macro for configure
- Use pkgconfig style of dependencies
* Mon Nov 27 2017 petr@yarpen.cz
- initial import to OBS
- version 0.7.3
